#
# spec file for package perl-Net-Daemon (Version 0.34)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Net-Daemon
%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Copyright:    1999 - not specified
Group:        Development/Languages/Perl
Summary:      Net::Daemon - Perl extension for portable daemons
Version:      0.34
Release:      99
Source:       Net-Daemon-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root
Autoreqprov:  on

%description
Net::Daemon is an abstract base class for implementing portable server applications in a very simple way.

Authors:
--------
    Jochen Wiedmann <joe@ispsoft.de>

SuSE series: perl

%prep
%setup -q -n Net-Daemon-%{version}
#%patch

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@^$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
rm $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
find $RPM_BUILD_ROOT/usr/lib -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > Net-Daemon-%{version}-filelist

%files -f Net-Daemon-%{version}-filelist
%defattr(-,root,root)
/var/adm/perl-modules/%{name}
/usr/share/man/man3/*

%changelog -n perl-Net-Daemon
* Thu Mar 08 2001 - nashif@suse.de
- Fixed %%files in spec
* Fri Feb 23 2001 - nashif@suse.de
- Update to version 0.34
* Mon Nov 27 2000 - nashif@suse.de
- Initial Release (version 0.32)
